classification
Title: regrtest --findleaks should fail if an uncollectable object is found
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2019-04-25 14:49 by vstinner, last changed 2019-05-14 12:12 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12951 merged vstinner, 2019-04-25 15:07
PR 12964 merged vstinner, 2019-04-26 07:33
PR 12965 merged vstinner, 2019-04-26 08:53
PR 12967 merged vstinner, 2019-04-26 09:34
PR 13231 merged vstinner, 2019-05-09 23:59
PR 13291 merged miss-islington, 2019-05-13 17:18
PR 13301 merged vstinner, 2019-05-14 01:27
PR 13303 merged miss-islington, 2019-05-14 01:47
Messages (10)
msg340843 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-25 14:49
regrtest (python3 -m test) has a --findleaks option to log warning if the garbage collector finds uncollectable objects. Problem: regrtest only logs a warning, but exit with a success in that case.

Attached PR makes regrtest fail in that case and adds an unit test for --findleaks.
msg340886 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-26 07:29
New changeset 75120d2205af086140e5e4e2dc620eb19cdf9078 by Victor Stinner in branch 'master':
bpo-36719: regrtest always detect uncollectable objects (GH-12951)
https://github.com/python/cpython/commit/75120d2205af086140e5e4e2dc620eb19cdf9078
msg340887 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-26 07:33
Oops, I used the wrong bpo number in my PR 12960 and PR 12961:

New changeset 4d29983185bc12ca685a1eb3873bacb8a7b67416 by Victor Stinner in branch 'master':
bpo-36725: regrtest: add TestResult type (GH-12960)
https://github.com/python/cpython/commit/4d29983185bc12ca685a1eb3873bacb8a7b67416

New changeset 3cde440f20a9db75fb2c4e65e8e4d04a53216a2d by Victor Stinner in branch 'master':
bpo-36725: Refactor regrtest multiprocessing code (GH-12961)
https://github.com/python/cpython/commit/3cde440f20a9db75fb2c4e65e8e4d04a53216a2d
msg340893 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-26 07:56
New changeset 837acc1957d86ca950433f5064fd06d09b57d23b by Victor Stinner in branch 'master':
bpo-36719: Fix regrtest re-run (GH-12964)
https://github.com/python/cpython/commit/837acc1957d86ca950433f5064fd06d09b57d23b
msg340897 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-26 09:12
New changeset 00db7c73af4f60df61e9df87cde7401c3ed9df69 by Victor Stinner in branch 'master':
bpo-36719: regrtest closes explicitly WindowsLoadTracker (GH-12965)
https://github.com/python/cpython/commit/00db7c73af4f60df61e9df87cde7401c3ed9df69
msg340899 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-26 10:16
New changeset 1069d38fa18f3a4f97c2e358bcb3b82cab1c051b by Victor Stinner in branch '3.7':
[3.7] bpo-36719: sync regrtest with master branch (GH-12967)
https://github.com/python/cpython/commit/1069d38fa18f3a4f97c2e358bcb3b82cab1c051b
msg342364 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-13 17:17
New changeset b0917df329ba14b7bc6fa782c1b61e7a2163af0b by Victor Stinner in branch 'master':
bpo-36719: regrtest -jN no longer stops on crash (GH-13231)
https://github.com/python/cpython/commit/b0917df329ba14b7bc6fa782c1b61e7a2163af0b
msg342369 - (view) Author: miss-islington (miss-islington) Date: 2019-05-13 17:55
New changeset 19464bcd97436cd8d5d9e32b70faf3e1e5f2a712 by Miss Islington (bot) in branch '3.7':
bpo-36719: regrtest -jN no longer stops on crash (GH-13231)
https://github.com/python/cpython/commit/19464bcd97436cd8d5d9e32b70faf3e1e5f2a712
msg342414 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-14 01:47
New changeset c923c3449f825021b13521b2380e67ba35a36f55 by Victor Stinner in branch 'master':
bpo-36719: Fix regrtest MultiprocessThread (GH-13301)
https://github.com/python/cpython/commit/c923c3449f825021b13521b2380e67ba35a36f55
msg342454 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-14 12:12
New changeset d8e123a48f1666227abdb90d84c58efe7bb4f3d8 by Victor Stinner (Miss Islington (bot)) in branch '3.7':
bpo-36719: Fix regrtest MultiprocessThread (GH-13301) (GH-13303)
https://github.com/python/cpython/commit/d8e123a48f1666227abdb90d84c58efe7bb4f3d8
History
Date User Action Args
2019-05-14 12:12:52vstinnersetmessages: + msg342454
2019-05-14 01:47:48miss-islingtonsetpull_requests: + pull_request13214
2019-05-14 01:47:35vstinnersetmessages: + msg342414
2019-05-14 01:27:31vstinnersetpull_requests: + pull_request13212
2019-05-13 17:55:12miss-islingtonsetnosy: + miss-islington
messages: + msg342369
2019-05-13 17:18:15miss-islingtonsetpull_requests: + pull_request13202
2019-05-13 17:17:57vstinnersetmessages: + msg342364
2019-05-09 23:59:19vstinnersetpull_requests: + pull_request13140
2019-04-27 07:45:19vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-26 10:16:34vstinnersetmessages: + msg340899
2019-04-26 09:34:03vstinnersetpull_requests: + pull_request12894
2019-04-26 09:12:29vstinnersetmessages: + msg340897
2019-04-26 08:53:02vstinnersetpull_requests: + pull_request12892
2019-04-26 07:56:43vstinnersetmessages: + msg340893
2019-04-26 07:33:42vstinnersetpull_requests: + pull_request12890
2019-04-26 07:33:15vstinnersetmessages: + msg340887
2019-04-26 07:29:04vstinnersetmessages: + msg340886
2019-04-25 15:07:51vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request12877
2019-04-25 14:49:40vstinnercreate